- release_tracks: [ALPHA, BETA, GA]

  help_text:
    brief: Describe a Game Server Cluster.
    description: |
      Describe a Cloud Game Server Cluster.

      ## EXAMPLES

      To describe Game Server Cluster 'my-cluster' in project 'my-project', realm 'my-realm', and location 'my-location', run:

        $ {command} my-cluster --project=my-project --realm=my-realm --location=my-location

  request:
    collection: gameservices.projects.locations.realms.gameServerClusters
    ALPHA:
      api_version: v1alpha
    BETA:
      api_version: v1beta
    GA:
      api_version: v1

  arguments:
    resource:
      help_text: Cloud Game Server Cluster to describe.
      spec: !REF googlecloudsdk.command_lib.game.resources:cluster
    params:
    - arg_name: view
      api_field: view
      help_text: |
        There are two possible views, 'basic' and 'full'. The default view is 'basic'.
      choices:
      - enum_value: BASIC
        arg_value: basic
        help_text: |
          Include info of the game server cluster resource, but not the registered
          Kubernetes cluster's info such as versions or provider.
      - enum_value: FULL
        arg_value: full
        help_text: |
          Include info for both the game server cluster resource and registered Kuberentes cluster.
      default: basic
